## libbpp-popgen 2.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -42,7 +42,7 @@
 # In other words, the library implements all the interface numbers in the
 # range from number current - age to current.
 SET(BPPPOPGEN_VERSION_CURRENT "6")
-SET(BPPPOPGEN_VERSION_REVISION "1")
+SET(BPPPOPGEN_VERSION_REVISION "2")
 SET(BPPPOPGEN_VERSION_AGE "0")
 
 # Effective version number computation
@@ -98,10 +98,10 @@
 # Packager
 SET(CPACK_PACKAGE_NAME "libbpp-popgen")
 SET(CPACK_PACKAGE_VENDOR "Bio++ Development Team")
-SET(CPACK_PACKAGE_VERSION "2.0.2")
+SET(CPACK_PACKAGE_VERSION "2.0.3")
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
 SET(CPACK_PACKAGE_VERSION_MINOR "0")
-SET(CPACK_PACKAGE_VERSION_PATCH "2")
+SET(CPACK_PACKAGE_VERSION_PATCH "3")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "The Bio++ Population Genetics library")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING.txt")
 SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS.txt")
