=== debian/changelog ===
libbpp-popgen (2.0.3-1) unstable; urgency=low

  * Recompilation because of dependencies.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Thu, 09 Feb 2012 16:30:00 +0100

libbpp-popgen (2.0.2-1) unstable; urgency=low

  * RFP: Bio++ -- The Bio++ bioinformatics libraries. (Closes: #616373).
  * Packages are now non-native.
  * New Fst computation from Hudson, Slatkin and Maddison (Genetics, 1992).

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Thu, 09 Jun 2011 11:00:00 +0100

libbpp-popgen (2.0.1) unstable; urgency=low

  * Fixed copyright issue in package.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Mon, 28 Feb 2011 09:00:00 +0100

libbpp-popgen (2.0.0) unstable; urgency=low

  * Update for version 2.0 of Bio++. Code reorganization.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Mon, 07 Feb 2011 09:00:00 +0100

libbpp-popgen (1.5.0) unstable; urgency=low

  * Update for version 1.9 of Bio++. Several interface improvements and bug fixed.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Thu, 25 Mar 2010 15:14:55 +0100

libbpp-popgen (1.4.0) unstable; urgency=low

  * Update for version 1.8 of Bio++.

 -- Julien Dutheil <jdutheil@birc.au.dk>  Wed, 10 Jun 2009 11:28:58 +0100

libbpp-popgen (1.3.1) unstable; urgency=low

  * Bug fix release.

 -- Julien Dutheil <jdutheil@daimi.au.dk>  Thu, 11 Dec 2008 12:21:37 +0100
 

libbpp-popgen (1.3.0) unstable; urgency=low

  * Initial Release.

 -- Julien Dutheil <jdutheil@daimi.au.dk>  Mon, 21 Jul 2008 15:17:26 +0200
