=== debian/changelog ===
libbpp-popgen (2.1.0-1ubuntu2) wily; urgency=medium

  * Remove hardcoded dependencies.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 11 Aug 2015 17:38:28 +0100

libbpp-popgen (2.1.0-1ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 04:42:10 +0000

libbpp-popgen (2.1.0-1) unstable; urgency=low

  * Bug fixed and warnings removed.

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Thu, 07 Mar 2013 10:51:00 +0100
