=== debian/control ===
Source: libbpp-popgen
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Loic Dachary <loic@dachary.org>
Uploaders: Julien Dutheil <julien.dutheil@univ-montp2.fr>
Build-Depends: debhelper (>= 5), cmake (>= 2.6),
  libbpp-core-dev (>= 2.1.0), libbpp-seq-dev (>= 2.1.0)
Standards-Version: 3.9.1

Package: libbpp-popgen-dev
Section: libdevel
Architecture: any
Depends: libbpp-popgen6v5 (= ${binary:Version}), ${misc:Depends},
  libbpp-core-dev (>= 2.1.0), libbpp-seq-dev (>= 2.1.0)
Description: Bio++ Population Genetics library development files.
 Contains the Bio++ classes for population genetics.

Package: libbpp-popgen6v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libbpp-popgen6
Replaces: libbpp-popgen6
Description: Bio++ Population Genetics library.
 Contains the Bio++ classes for population genetics.
