=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,7 @@
 	# Add here commands to clean up after the build process.
 	[ ! -f Makefile ] || $(MAKE) clean;
 	[ ! -f Makefile ] || rm Makefile;
-	[ ! -f Makefile ] || rm src/Makefile;
+	[ ! -f src/Makefile ] || rm src/Makefile;
 	rm -f config.sub config.guess
 	rm -f build-stamp
 	rm -f CMakeCache.txt
