=== debian/changelog ===
libbpp-popgen (2.2.0-1) unstable; urgency=medium

  * New upstream version
  * Add watch file
  * Better description
  * Moved packaging to Git
  * Team maintenance in Debian Med team
  * cme fix dpkg-control
  * debhelper 9
  * DEP5
  * Source package in Section: science
  * short dh rules file using d-shlibs
  * Library transition
    Closes: #791096

 -- Andreas Tille <tille@debian.org>  Thu, 21 Apr 2016 14:18:27 +0200
