=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --v5 \
		    --devunversioned \
		    --override s/libbpp-core2-dev/libbpp-core-dev/ \
		    --override s/libbpp-seq9-dev/libbpp-seq-dev/ \
		    --exclude-la \
                    --movedev debian/tmp/usr/include/* usr/include \
                    debian/tmp/usr/lib/*.so
