=== debian/changelog ===
libbpp-popgen (2.3.1-5) unstable; urgency=medium

  * Rebuild with gcc-7
  * Standards-Version: 4.1.0

 -- Andreas Tille <tille@debian.org>  Thu, 24 Aug 2017 21:29:25 +0200

libbpp-popgen (2.3.1-4) unstable; urgency=medium

  * Removed postinst scripts. 

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Tue, 18 Jul 2017 10:26:12 +0200

libbpp-popgen (2.3.1-3) unstable; urgency=medium

  * cmake files belong to /usr/lib/$(DEB_HOST_MULTIARCH)
    Closes: #865900
  * d-shlibs (>= 0.80) contains needed override
  * Standards-Version: 4.0.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2017 10:24:49 +0200

libbpp-popgen (2.3.1-2) unstable; urgency=medium

  * Make sure cmake files will be installed also on i386

 -- Andreas Tille <tille@debian.org>  Thu, 22 Jun 2017 18:50:50 +0200

libbpp-popgen (2.3.1-1) unstable; urgency=medium

  * New upstream version
  * d/watch: point to github
  * debhelper 10
  * Adapt package names to soversion change
  * Hardening

 -- Andreas Tille <tille@debian.org>  Tue, 13 Jun 2017 22:59:31 +0200
