=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                cmake,
-               d-shlibs,
-               libbpp-core-dev (>= 2.2.0),
-               libbpp-seq-dev (>= 2.2.0)
-Standards-Version: 3.9.8
+               d-shlibs (>= 0.80),
+               libbpp-core-dev (>= 2.3.1),
+               libbpp-seq-dev (>= 2.3.1)
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libbpp-popgen.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/libbpp-popgen.git
 Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page
@@ -17,10 +17,10 @@
 Package: libbpp-popgen-dev
 Architecture: any
 Section: libdevel
-Depends: libbpp-popgen6v5 (= ${binary:Version}),
+Depends: libbpp-popgen7 (= ${binary:Version}),
          ${misc:Depends},
-         libbpp-core-dev (>= 2.2.0),
-         libbpp-seq-dev (>= 2.2.0)
+         libbpp-core-dev (>= 2.3.1),
+         libbpp-seq-dev (>= 2.3.1)
 Description: Bio++ Population Genetics library development files
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.
@@ -31,15 +31,13 @@
  This package contains the static library and the header files of the
  Bio++ Population Genetics classes.
 
-Package: libbpp-popgen6v5
+Package: libbpp-popgen7
 Architecture: any
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-Conflicts: libbpp-popgen6
-Replaces: libbpp-popgen6
 Description: Bio++ Population Genetics library
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.
