=== debian/changelog ===
libbpp-popgen (2.4.0-2) unstable; urgency=medium

  [ Julien Dutheil ]
  * Provide symbols file only for amd64
    Closes: #895213
  
  [ Andreas Tille ]
  * Provide full license text of CeCILL license
  * Point Vcs fields to salsa.debian.org

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Sun, 08 Apr 2018 18:40:50 +0200

libbpp-popgen (2.4.0-1) unstable; urgency=medium

  * New upstream version

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Tue, 27 Mar 2018 21:46:45 +0200

libbpp-popgen (2.3.2-1) unstable; urgency=medium

  [ Julien Dutheil ]
  * New upstream version

  [ Andreas Tille ]
  * cme fix dpkg-control
  * debhelper 11

 -- Julien Dutheil <julien.dutheil@univ-montp2.fr>  Tue, 06 Feb 2018 13:46:49 +0200
