=== debian/control ===
--- 
+++ 
@@ -4,23 +4,23 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                cmake,
                d-shlibs (>= 0.80),
-               libbpp-core-dev (>= 2.3.1),
-               libbpp-seq-dev (>= 2.3.1)
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libbpp-popgen.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/libbpp-popgen.git
+               libbpp-core-dev (>= 2.4.0),
+               libbpp-seq-dev (>= 2.4.0)
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/med-team/libbpp-popgen
+Vcs-Git: https://salsa.debian.org/med-team/libbpp-popgen.git
 Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page
 
 Package: libbpp-popgen-dev
 Architecture: any
 Section: libdevel
-Depends: libbpp-popgen7 (= ${binary:Version}),
+Depends: libbpp-popgen8 (= ${binary:Version}),
          ${misc:Depends},
-         libbpp-core-dev (>= 2.3.1),
-         libbpp-seq-dev (>= 2.3.1)
+         libbpp-core-dev (>= 2.4.0),
+         libbpp-seq-dev (>= 2.4.0)
 Description: Bio++ Population Genetics library development files
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.
@@ -31,13 +31,13 @@
  This package contains the static library and the header files of the
  Bio++ Population Genetics classes.
 
-Package: libbpp-popgen7
+Package: libbpp-popgen8
 Architecture: any
+Multi-Arch: same
 Section: libs
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
 Description: Bio++ Population Genetics library
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.
