=== debian/changelog ===
libbpp-popgen (2.4.1-8) unstable; urgency=medium

  * Fix watch file

 -- Andreas Tille <tille@debian.org>  Sat, 26 Nov 2022 22:11:40 +0100

libbpp-popgen (2.4.1-7) unstable; urgency=medium

  [ Étienne Mollier ]
  * Team upload.
  * d/libbpp-popgen8.symbols.amd64: mark compiler specific symbols optional.
    (Closes: #1012969)

  [ Andreas Tille ]
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 16 Aug 2022 07:01:14 +0200

libbpp-popgen (2.4.1-6) unstable; urgency=medium

  * Fix symbols again
    Closes: #997447

 -- Andreas Tille <tille@debian.org>  Mon, 01 Nov 2021 14:12:39 +0100

libbpp-popgen (2.4.1-5) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Fix ftbfs with GCC-11
    Closes: #984091
  * Drop unneeded versioned Depends

 -- Andreas Tille <tille@debian.org>  Wed, 06 Oct 2021 17:26:05 +0200

libbpp-popgen (2.4.1-4) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Update symbols for gcc-10
    Closes: #957427

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jul 2020 11:58:51 +0200

libbpp-popgen (2.4.1-3) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Wrap long lines in changelog entries: 1.5.0.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Refer to specific version of license GPL-2+.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Fix symbols file
    Closes: #952248

 -- Andreas Tille <tille@debian.org>  Mon, 24 Feb 2020 11:13:06 +0100

libbpp-popgen (2.4.1-2) unstable; urgency=medium

  [ Jelmer Vernooij]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

  [ Julien Dutheil ]
  * d-shlibs (>= 0.82)
  * Easier amd64 symbol file management

  [ Andreas Tille ]
  * Rebuild for new version of gcc to fix symbols
    Closes: #925733
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/copyright
  * Set upstream metadata fields: Contact, Name.

 -- Andreas Tille <tille@debian.org>  Wed, 21 Aug 2019 08:20:43 +0200

libbpp-popgen (2.4.1-1) unstable; urgency=medium

  [ Julien Dutheil ]
  * New upstream version
    Closes: #897782

  [ Andreas Tille ]
  * Standards-Version: 4.2.0

 -- Andreas Tille <tille@debian.org>  Wed, 22 Aug 2018 22:22:42 +0200
