=== debian/control ===
--- 
+++ 
@@ -4,23 +4,26 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                cmake,
-               d-shlibs (>= 0.80),
-               libbpp-core-dev (>= 2.4.0),
-               libbpp-seq-dev (>= 2.4.0)
-Standards-Version: 4.1.3
+               d-shlibs,
+               libbpp-core-dev,
+               libbpp-seq-dev
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/libbpp-popgen
 Vcs-Git: https://salsa.debian.org/med-team/libbpp-popgen.git
 Homepage: http://biopp.univ-montp2.fr/wiki/index.php/Main_Page
+Rules-Requires-Root: no
 
 Package: libbpp-popgen-dev
 Architecture: any
 Section: libdevel
 Depends: libbpp-popgen8 (= ${binary:Version}),
          ${misc:Depends},
-         libbpp-core-dev (>= 2.4.0),
-         libbpp-seq-dev (>= 2.4.0)
+         ${devlibs:Depends},
+         libbpp-core-dev,
+         libbpp-seq-dev
+Multi-Arch: same
 Description: Bio++ Population Genetics library development files
  Bio++ is a set of C++ libraries for Bioinformatics, including sequence
  analysis, phylogenetics, molecular evolution and population genetics.
